//PhysicsDefine.h
#ifndef _PHYSICSDEFINE_H
#define _PHYSICSDEFINE_H

namespace PhysicsDefine
{
	struct Vector2
	{
		float x;
		float y;


		Vector2()
		{
		}

		Vector2( float _x, float _y )
		{
			x = _x;		y = _y;		
		}


		void Zero()
		{
			x = y = 0;
		}

		void Set( float _x, float _y )
		{
			x = _x;		y = _y;		
		}
	};

	struct Vector3
	{
		float x;
		float y;
		float z;

		Vector3()
		{
		}

		Vector3( float _x, float _y, float _z )
		{
			x = _x;		y = _y;		z = _z;
		}

		void Zero()
		{
			x = y = z = 0;
		}

		void Set( float _x, float _y, float _z )
		{
			x = _x;		y = _y;		z = _z;
		}
	};
};


#endif